Package com.sap.ai.sdk.foundationmodels.rpt.generated.model

# Interface PredictionsInnerValue

All Known Implementing Classes:
  `PredictionsInnerValue.InnerInteger`, `PredictionsInnerValue.InnerString`, `PredictionsInnerValue.ListOfPredictionResults`

public interface PredictionsInnerValue
PredictionsInnerValue

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `PredictionsInnerValue.InnerInteger`
  Helper class to create `Integer` that implements `PredictionsInnerValue`.
  `static final record`
  `PredictionsInnerValue.InnerString`
  Helper class to create `String` that implements `PredictionsInnerValue`.
  `static final record`
  `PredictionsInnerValue.ListOfPredictionResults`
  Helper class to create `List<PredictionResult>` that implements `PredictionsInnerValue`.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static PredictionsInnerValue.InnerInteger`
  `create(Integer val)`
  Creator to enable deserialization of `Integer` .
  `static PredictionsInnerValue.InnerString`
  `create(String val)`
  Creator to enable deserialization of `String` .
  `static PredictionsInnerValue.ListOfPredictionResults`
  `createListOfPredictionResults(List<PredictionResult> val)`
  Creator to enable deserialization of `List<PredictionResult>` .

- ## Method Details

  - ### createListOfPredictionResults

    @Nonnull static PredictionsInnerValue.ListOfPredictionResults createListOfPredictionResults(@Nonnull List<PredictionResult> val)
    Creator to enable deserialization of `List<PredictionResult>` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `PredictionsInnerValue.ListOfPredictionResults`.

  - ### create

    @Nonnull static PredictionsInnerValue.InnerString create(@Nonnull String val)
    Creator to enable deserialization of `String` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `PredictionsInnerValue.InnerString`.

  - ### create

    @Nonnull static PredictionsInnerValue.InnerInteger create(@Nonnull Integer val)
    Creator to enable deserialization of `Integer` .
    Parameters:
      `val` - the value to use
    Returns:
      a new instance of `PredictionsInnerValue.InnerInteger`.